## org.eclipse.jst.jsf.context.symbol
Interface IMethodSymbol

All Superinterfaces:
  ISymbol

All Known Subinterfaces:
  IBeanMethodSymbol

    public interface IMethodSymbol

extends ISymbol

A representation of the model object 'IMethod Symbol'.

Provisional API - subject to change

The following features are supported:

- `Signature`

See Also:
  `SymbolPackage.getIMethodSymbol()`

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`java.lang.String` `getSignature()` Returns the value of the 'Signature' attribute
`void` `setSignature(java.lang.String value)` Sets the value of the '`Signature`' attribute

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSignature

    java.lang.String getSignature()

  Returns the value of the 'Signature' attribute.

  If the meaning of the 'Signature' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Signature' attribute.
  See Also:
    `setSignature(String)`, `SymbolPackage.getIMethodSymbol_Signature()`

### setSignature

    void setSignature(java.lang.String value)

  Sets the value of the '`Signature`' attribute.

  Parameters:
    `value` - the new value of the 'Signature' attribute.
  See Also:
    `getSignature()`